DigiLocker e-Aadhaar
curl --request POST \
--url https://api.privue.ai/digilocker/v1/e-aadhaar.1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "652523835a9f9000112b1ee6",
"extra_digital_certificate_params": true,
"get_base64_files": true,
"get_e_aadhaar_pdf": true,
"get_e_aadhaar_jpeg": true
}
'import requests
url = "https://api.privue.ai/digilocker/v1/e-aadhaar.1"
payload = {
"request_id": "652523835a9f9000112b1ee6",
"extra_digital_certificate_params": True,
"get_base64_files": True,
"get_e_aadhaar_pdf": True,
"get_e_aadhaar_jpeg": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '652523835a9f9000112b1ee6',
extra_digital_certificate_params: true,
get_base64_files: true,
get_e_aadhaar_pdf: true,
get_e_aadhaar_jpeg: true
})
};
fetch('https://api.privue.ai/digilocker/v1/e-aadhaar.1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"details": {
"name": "ASHA RAO",
"uid": "xxxxxxxx1234",
"dob": "12/03/1990",
"gender": "FEMALE",
"x509_data": {
"subject_name": "DS NATIONAL E-GOVERNANCE DIVISION 1",
"certificate": "MIIFUjCCBDqgAwIBAgIHAJnuuyguVTANBgkqhkiG9w0BAQsFADB3...",
"details": {
"version": 2,
"subject": {
"country_name": "IN",
"organization_name": "NATIONAL E-GOVERNANCE DIVISION",
"organizational_unit_name": "NATIONAL E-GOVERNANCE DIVISION",
"postal_code": "110003",
"state_or_province_name": "DELHI",
"common_name": "DS NATIONAL E-GOVERNANCE DIVISION 1"
},
"issuer": {
"country_name": "IN",
"organization_name": "Sify Technologies Limited",
"organizational_unit_name": "Sub-CA",
"postal_code": null,
"state_or_province_name": null,
"common_name": "SafeScrypt sub-CA for Document Signer 2022"
},
"serial": "99EEBB282E55",
"not_before": "2025-08-22T08:21:46.000Z",
"not_after": "2028-02-11T07:57:28.000Z",
"subject_hash": "9c1af880",
"signature_algorithm": "sha256WithRSAEncryption",
"finger_print": "06:78:03:C2:09:4C:18:79:92:82:31:14:65:35:86:04:FF:31:2A:FC",
"public_key": {
"algorithm": "sha256WithRSAEncryption"
},
"alt_names": [],
"extensions": {
"authority_key_identifier": null,
"subject_key_identifier": null,
"authority_information_access": null,
"crl_distribution_points": null,
"certificate_policies": null,
"basic_constraints": "CA:FALSE",
"extended_key_usage": null,
"subject_alternative_name": null,
"key_usage": "Digital Signature, Non Repudiation"
}
},
"valid_aadhaar_dsc": "yes"
},
"address": "FLAT 12, LAKE VIEW APARTMENTS, 100 FEET ROAD, INDIRANAGAR, BENGALURU, KARNATAKA, 560038",
"photo": "https://files.example.com/digilocker/7f3c9a51e2.jpeg",
"split_address": {
"district": [
"BENGALURU URBAN"
],
"state": [
[
"KARNATAKA",
"KA"
]
],
"city": [
"BENGALURU"
],
"pincode": "560038",
"country": [
"IN",
"IND",
"INDIA"
],
"address_line": "FLAT 12, LAKE VIEW APARTMENTS, 100 FEET ROAD",
"land_mark": "INDIRANAGAR"
},
"signature_data": null,
"xml_file_link": "https://files.example.com/digilocker/7f3c9a51e3.xml",
"aadhaar_jpeg": null,
"aadhaar_pdf": "https://files.example.com/digilocker/7f3c9a51e4.pdf"
}
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}DigiLocker
DigiLocker e-Aadhaar
Read a person’s e-Aadhaar through the DigiLocker consent they gave.
The e-Aadhaar is read fresh on every call, and each call is charged.
POST
/
digilocker
/
v1
/
e-aadhaar.1
DigiLocker e-Aadhaar
curl --request POST \
--url https://api.privue.ai/digilocker/v1/e-aadhaar.1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "652523835a9f9000112b1ee6",
"extra_digital_certificate_params": true,
"get_base64_files": true,
"get_e_aadhaar_pdf": true,
"get_e_aadhaar_jpeg": true
}
'import requests
url = "https://api.privue.ai/digilocker/v1/e-aadhaar.1"
payload = {
"request_id": "652523835a9f9000112b1ee6",
"extra_digital_certificate_params": True,
"get_base64_files": True,
"get_e_aadhaar_pdf": True,
"get_e_aadhaar_jpeg": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '652523835a9f9000112b1ee6',
extra_digital_certificate_params: true,
get_base64_files: true,
get_e_aadhaar_pdf: true,
get_e_aadhaar_jpeg: true
})
};
fetch('https://api.privue.ai/digilocker/v1/e-aadhaar.1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"details": {
"name": "ASHA RAO",
"uid": "xxxxxxxx1234",
"dob": "12/03/1990",
"gender": "FEMALE",
"x509_data": {
"subject_name": "DS NATIONAL E-GOVERNANCE DIVISION 1",
"certificate": "MIIFUjCCBDqgAwIBAgIHAJnuuyguVTANBgkqhkiG9w0BAQsFADB3...",
"details": {
"version": 2,
"subject": {
"country_name": "IN",
"organization_name": "NATIONAL E-GOVERNANCE DIVISION",
"organizational_unit_name": "NATIONAL E-GOVERNANCE DIVISION",
"postal_code": "110003",
"state_or_province_name": "DELHI",
"common_name": "DS NATIONAL E-GOVERNANCE DIVISION 1"
},
"issuer": {
"country_name": "IN",
"organization_name": "Sify Technologies Limited",
"organizational_unit_name": "Sub-CA",
"postal_code": null,
"state_or_province_name": null,
"common_name": "SafeScrypt sub-CA for Document Signer 2022"
},
"serial": "99EEBB282E55",
"not_before": "2025-08-22T08:21:46.000Z",
"not_after": "2028-02-11T07:57:28.000Z",
"subject_hash": "9c1af880",
"signature_algorithm": "sha256WithRSAEncryption",
"finger_print": "06:78:03:C2:09:4C:18:79:92:82:31:14:65:35:86:04:FF:31:2A:FC",
"public_key": {
"algorithm": "sha256WithRSAEncryption"
},
"alt_names": [],
"extensions": {
"authority_key_identifier": null,
"subject_key_identifier": null,
"authority_information_access": null,
"crl_distribution_points": null,
"certificate_policies": null,
"basic_constraints": "CA:FALSE",
"extended_key_usage": null,
"subject_alternative_name": null,
"key_usage": "Digital Signature, Non Repudiation"
}
},
"valid_aadhaar_dsc": "yes"
},
"address": "FLAT 12, LAKE VIEW APARTMENTS, 100 FEET ROAD, INDIRANAGAR, BENGALURU, KARNATAKA, 560038",
"photo": "https://files.example.com/digilocker/7f3c9a51e2.jpeg",
"split_address": {
"district": [
"BENGALURU URBAN"
],
"state": [
[
"KARNATAKA",
"KA"
]
],
"city": [
"BENGALURU"
],
"pincode": "560038",
"country": [
"IN",
"IND",
"INDIA"
],
"address_line": "FLAT 12, LAKE VIEW APARTMENTS, 100 FEET ROAD",
"land_mark": "INDIRANAGAR"
},
"signature_data": null,
"xml_file_link": "https://files.example.com/digilocker/7f3c9a51e3.xml",
"aadhaar_jpeg": null,
"aadhaar_pdf": "https://files.example.com/digilocker/7f3c9a51e4.pdf"
}
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"message": "<string>"
}Authorizations
Your API key, sent as Authorization: Bearer <your-key>.
Body
application/json
The consent to read the e-Aadhaar through, and what to read along with it.
The request_id the consent link was created with
Minimum string length:
1Example:
"652523835a9f9000112b1ee6"
Whether the XML signature over the e-Aadhaar comes back as signature_data
Whether files come back as base64 in place of a download link
Whether the e-Aadhaar PDF comes back
Whether the e-Aadhaar JPEG comes back
Response
Successful Response
The person's e-Aadhaar, read through the consent they gave.
The e-Aadhaar as DigiLocker holds it
Show child attributes
Show child attributes
